#
# Approve_Mod 1.0.9 - phpBB 2.0.6 MySQL DB schema
#

#
# Table structure for table 'phpbb_approve_forums'
#
CREATE TABLE phpbb_approve_forums (
  forum_id smallint(5) unsigned NOT NULL default '0',
  enabled tinyint(1) NOT NULL default '0',
  approve_posts tinyint(1) NOT NULL default '0',
  approve_topics tinyint(1) NOT NULL default '0',
  approve_users tinyint(1) NOT NULL default '0',
  approve_poste tinyint(1) NOT NULL default '0',
  approve_topice tinyint(1) NOT NULL default '0',
  approve_notify tinyint(1) NOT NULL default '0',
  approve_notify_approval tinyint(1) NOT NULL default '0',
  approve_notify_type tinyint(1) NOT NULL default '0',
  approve_notify_message tinyint(1) NOT NULL default '0',
  approve_notify_message_len smallint(5) NOT NULL default '500',
  approve_moderators varchar(255) NOT NULL default '0',
  approve_notify_posts tinyint(1) NOT NULL default '0',
  approve_notify_poste tinyint(1) NOT NULL default '0',
  approve_notify_topics tinyint(1) NOT NULL default '0',
  approve_notify_topice tinyint(1) NOT NULL default '0',
  forum_hide_unapproved_topics tinyint(1) NOT NULL default '0',
  forum_hide_unapproved_posts tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (forum_id)
);

#
# Table structure for table 'phpbb_approve_posts'
#
CREATE TABLE phpbb_approve_posts (
  approval_id mediumint(8) unsigned NOT NULL auto_increment,
  topic_id mediumint(8) unsigned NOT NULL default '0',
  post_id mediumint(8) unsigned NOT NULL default '0',
  is_topic tinyint(1) NOT NULL default '0',
  is_post tinyint(1) NOT NULL default '0',
  poster_id mediumint(8) NOT NULL default '0',
  PRIMARY KEY  (approval_id),
  KEY post_id (post_id),
  KEY topic_id (topic_id)
);

#
# Table structure for table 'phpbb_approve_topics'
#
CREATE TABLE phpbb_approve_topics (
  topic_id mediumint(8) unsigned NOT NULL default '0',
  approve_moderate tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (topic_id)
);

#
# Table structure for table 'phpbb_approve_users'
#
CREATE TABLE phpbb_approve_users (
  user_id mediumint(8) NOT NULL default '0',
  approve_moderate tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (user_id)
);